Subject: bug#3643: emacs -Q doesn't fit on the user's screen

From: Jan Djärv <[email-masked]>
Date: Wed, 20 Jan 2010 08:18:08 +0100

[email-masked] skrev:
> JD> Again, details are missing.
> Can you provide me with a script that I can run that will gather the
> exact information you need beyond the screenshots and details I gave
> earlier in this bug. For instance, as a total font dummy that I am, I
> need a script that can tell you what fonts it is using, because I don't
> really know... better yet, perhaps the Debian people can enhance their
> report-emacs-bug function so it will provide the missing information
> beyond what it gives currently:

Just put the cursor on one character in Emacs *scratch* buffer and do
C-u C-x =

That gives you the font.

% xwininfo -all
and click in Emacs gives window sizes.

% xwininfo -frame
and click the window manager title bar for Emacs gives size of the title bar.

That last part may be it though.  As the title bar size isn't known at frame 
create time, we can't adjust for it.  I'll have to think about that.

A better strategy might be if 40 lines doesn't seem to fit, just try 20.
If that doesn't seem to fit, try 10.

	Jan D.